#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['great_ai',
 'great_ai.deploy',
 'great_ai.deploy.routes',
 'great_ai.deploy.routes.dashboard',
 'great_ai.errors',
 'great_ai.external',
 'great_ai.helper',
 'great_ai.large_file',
 'great_ai.large_file.helper',
 'great_ai.large_file.large_file',
 'great_ai.large_file.models',
 'great_ai.models',
 'great_ai.parameters',
 'great_ai.persistence',
 'great_ai.remote',
 'great_ai.tracing',
 'great_ai.utilities',
 'great_ai.utilities.config_file',
 'great_ai.utilities.data',
 'great_ai.utilities.evaluate_ranking',
 'great_ai.utilities.external',
 'great_ai.utilities.external.pylatexenc',
 'great_ai.utilities.external.pylatexenc.latex2text',
 'great_ai.utilities.external.pylatexenc.latexencode',
 'great_ai.utilities.external.pylatexenc.latexwalker',
 'great_ai.utilities.external.pylatexenc.macrospec',
 'great_ai.utilities.language',
 'great_ai.utilities.logger',
 'great_ai.utilities.parallel_map',
 'great_ai.views',
 'great_ai.views.outputs']

package_data = \
{'': ['*'], 'great_ai.deploy.routes.dashboard': ['assets/*']}

install_requires = \
['scikit-learn',
 'matplotlib',
 'numpy',
 'nbconvert',
 'ipython',
 'unidecode >= 1.3.0',
 'syntok >= 1.4.0',
 'langcodes[data] >= 3.3.0',
 'langdetect >= 1.0.9',
 'tinydb >= 4.7.0',
 'boto3 >= 1.23.0',
 'plotly >= 5.8.0',
 'pandas',
 'dash >= 2.4.0',
 'fastapi >= 0.70.0',
 'uvicorn[standard] >= 0.18.0',
 'watchdog >= 2.1.0',
 'typeguard >= 2.10.0',
 'pymongo >= 4.0.0',
 'dill >= 0.3.5.0',
 'tqdm',
 'httpx >= 0.20.0']

extras_require = \
{'dev': ['flit',
         'mkdocs',
         'mkdocstrings[python]',
         'mkdocs-material',
         'mkdocs-jupyter',
         'mkdocs-git-revision-date-localized-plugin',
         'autoflake',
         'isort',
         'black[jupyter]',
         'mypy',
         'flake8',
         'tox',
         'pytest',
         'pytest-cov',
         'pytest-asyncio']}

entry_points = \
{'console_scripts': ['great-ai = great_ai.__main__:main',
                     'great_ai = great_ai.__main__:main',
                     'large-file = great_ai.large_file.__main__:main',
                     'large_file = great_ai.large_file.__main__:main']}

setup(name='great-ai',
      version='0.1.11',
      description='Transform your prototype AI code into production-ready software.',
      author=None,
      author_email='András Schmelczer <andras@schmelczer.dev>',
      url=None,
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>= 3.7',
     )
